Bug 1123316 - HA: Add nova-conductor with nova-scheduler to colocation constraint
Summary: HA: Add nova-conductor with nova-scheduler to colocation constraint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Installer
Assignee: Jason Guiditta
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 09:57 UTC by Leonid Natapov
Modified: 2016-04-26 23:44 UTC (History)
4 users (show)

Fixed In Version: openstack-foreman-installer-2.0.18-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:06:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Leonid Natapov 2014-07-25 09:57:51 UTC
Rubygem-staypuft: HA: Add nova-conductor with nova-scheduler to colocation constrain

nova-scheduler is missing a colocation constrain:
----------------------------------------------------------------
pcs constraint colocation add nova-conductor with nova-scheduler
----------------------------------------------------------------

Comment 1 Leonid Natapov 2014-07-25 10:00:12 UTC
Also related to openstack-heat-engine

------------------------------------------------------------------------
pcs constraint colocation add heat-engine with heat-api-cloudwatch
------------------------------------------------------------------------

Comment 2 Jason Guiditta 2014-07-31 13:46:22 UTC
(In reply to Leonid Natapov from comment #1)
> Also related to openstack-heat-engine
> 
> ------------------------------------------------------------------------
> pcs constraint colocation add heat-engine with heat-api-cloudwatch
> ------------------------------------------------------------------------

Both of these are simple additions, but would you please split the heat request into a separate BZ so we can more easily track it?  Thanks

Comment 3 Leonid Natapov 2014-07-31 14:05:23 UTC
Done.
https://bugzilla.redhat.com/show_bug.cgi?id=1125301

Comment 4 Jason Guiditta 2014-07-31 21:27:21 UTC
Patch posted:

https://github.com/redhat-openstack/astapor/pull/332

Comment 5 Jason Guiditta 2014-08-01 21:33:33 UTC
Merged

Comment 9 Leonid Natapov 2014-08-12 13:23:16 UTC
rhel-osp-installer-0.1.9-1.el6ost.noarch

 pcs constraint 
Location Constraints:
  Resource: ip-192.168.0.99
    Enabled on: maca25400702875.example.com (role: Started)
Ordering Constraints:
  start fs-varlibglanceimages-clone then start openstack-glance-registry-clone
  start openstack-glance-registry-clone then start openstack-glance-api-clone
  start openstack-nova-consoleauth-clone then start openstack-nova-novncproxy-clone
  start openstack-nova-novncproxy-clone then start openstack-nova-api-clone
  start openstack-nova-api-clone then start openstack-nova-scheduler-clone
  start openstack-nova-scheduler-clone then start openstack-nova-conductor-clone
  start openstack-cinder-scheduler-clone then start openstack-cinder-volume-clone
  start openstack-cinder-api-clone then start openstack-cinder-scheduler-clone
  start openstack-heat-api-clone then start openstack-heat-api-cfn-clone
  start openstack-heat-api-cfn-clone then start openstack-heat-api-cloudwatch-clone
  start openstack-heat-api-cloudwatch-clone then start openstack-heat-engine
Colocation Constraints:
  openstack-glance-registry-clone with fs-varlibglanceimages-clone
  openstack-glance-api-clone with openstack-glance-registry-clone
  openstack-nova-novncproxy-clone with openstack-nova-consoleauth-clone
  openstack-nova-api-clone with openstack-nova-novncproxy-clone
  openstack-nova-scheduler-clone with openstack-nova-api-clone
  openstack-nova-scheduler-clone with openstack-nova-conductor-clone
  openstack-cinder-volume-clone with openstack-cinder-scheduler-clone
  openstack-cinder-scheduler-clone with openstack-cinder-api-clone
  openstack-heat-api-cfn-clone with openstack-heat-api-clone
  openstack-heat-api-cloudwatch-clone with openstack-heat-api-cfn-clone

Comment 10 errata-xmlrpc 2014-08-21 18:06:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.